### Function

# GLib unichar_get_mirror_char

since: 2.4

#### Declaration [src]

    gboolean
    g_unichar_get_mirror_char (
      gunichar ch,
      gunichar* mirrored_ch
    )

#### Description [src]

In Unicode, some characters are “mirrored”. This means that their images are mirrored horizontally in text that is laid out from right to left. For instance, “(” would become its mirror image, “)”, in right-to-left text.

If `ch` has the Unicode mirrored property and there is another unicode character that typically has a glyph that is the mirror image of `ch`‘s glyph and `mirrored_ch` is set, it puts that character in the address pointed to by `mirrored_ch`. Otherwise the original character is put.

Available since: 2.4

#### Parameters

`ch`

  Type: `gunichar`

  A Unicode character.

`mirrored_ch`

  Type: `gunichar*`

  Location to store the mirrored character.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if `ch` has a mirrored character, `FALSE` otherwise.